package com.fjhx.event;

import com.fjhx.service.WebSocketServer;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock关闭连接事件
 */
@Getter
public class WebSocketOnCloseEvent extends ApplicationEvent {

    private final String userId;

    public WebSocketOnCloseEvent(WebSocketServer source, String userId) {
        super(source);
        this.userId = userId;
    }

    @Override
    public WebSocketServer getSource() {
        return (WebSocketServer)super.getSource();
    }

}