package com.fjhx.event;

import com.fjhx.service.WebSocketServer;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock推送的用户离线事件
 */
@Getter
public class WebSocketOnErrorEvent extends ApplicationEvent {

    private final String userId;
    private final Throwable throwable;

    public WebSocketOnErrorEvent(WebSocketServer source, String userId, Throwable throwable) {
        super(source);
        this.userId = userId;
        this.throwable = throwable;
    }

}