package com.fjhx.event;

import com.fjhx.entity.SendEntity;
import com.fjhx.service.WebSocketServer;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

/**
 * webStock推送消息成功事件
 */
@Getter
public class WebSocketSendSuccessEvent extends ApplicationEvent {

    private final SendEntity sendEntity;

    public WebSocketSendSuccessEvent(WebSocketServer source, SendEntity sendEntity) {
        super(source);
        this.sendEntity = sendEntity;
    }

    @Override
    public WebSocketServer getSource() {
        return (WebSocketServer) super.getSource();
    }

}