package com.fjhx.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springblade.core.tool.utils.DateUtil;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class SendEntity {

    /**
     * 消息创建时间
     */
    @DateTimeFormat(pattern = DateUtil.PATTERN_DATETIME)
    @JsonFormat(pattern = DateUtil.PATTERN_DATETIME)
    private Date createTime;

    /**
     * 消息发送人
     */
    private String userId;

    /**
     * 消息主体
     */
    private String message;

}
