package com.fjhx.event;

import com.fjhx.entity.SendEntity;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.util.Date;

/**
 * webStock推送的用户离线事件
 */
@Getter
public class WebSocketUserOfflineEvent extends ApplicationEvent {

    private final SendEntity sendEntity = new SendEntity();

    public WebSocketUserOfflineEvent(String userId, String message) {
        super(userId);
        this.sendEntity.setUserId(userId);
        this.sendEntity.setMessage(message);
        this.sendEntity.setCreateTime(new Date());
    }

}