package com.fjhx.service.stock;

import com.fjhx.base.StorageBaseService;
import com.fjhx.entity.stock.Stock;
import com.fjhx.entity.water.WaterTag;

import java.util.List;

/**
 * <p>
 * 库存表 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-09-22
 */
public interface StockService extends StorageBaseService<Stock> {

    /**
     * 跟新库存
     *
     * @param typeEnum     出入库类型枚举
     * @param waterTagList 变更标签列表
     */
    void edit(Enum<?> typeEnum, List<WaterTag> waterTagList);

}
